Browse Source

Upgrade pylint-odoo for 13.0 [ci skip]

This is apprently necessary for the
development status checks to work correctly.
pull/741/head
Stéphane Bidoul 2 years ago
committed by oca-git-bot
parent
commit
d22a636964
No known key found for this signature in database GPG Key ID: BCAB2555446B5B92
  1. 6
      .pre-commit-config.yaml

6
.pre-commit-config.yaml

@ -76,17 +76,17 @@ repos:
files: /__init__\.py$
additional_dependencies: ["flake8-bugbear==19.8.0"]
- repo: https://github.com/pre-commit/mirrors-pylint
rev: v2.3.1
rev: v2.5.3
hooks:
- id: pylint
name: pylint with optional checks
args: ["--rcfile=.pylintrc", "--exit-zero"]
verbose: true
additional_dependencies: ["pylint-odoo==3.1.0"]
additional_dependencies: ["pylint-odoo==3.5.0"]
- id: pylint
name: pylint with mandatory checks
args: ["--rcfile=.pylintrc-mandatory"]
additional_dependencies: ["pylint-odoo==3.1.0"]
additional_dependencies: ["pylint-odoo==3.5.0"]
- repo: https://github.com/asottile/pyupgrade
rev: v1.26.2
hooks:

Loading…
Cancel
Save